### Method

# FwupdPlugin Hwids has_guid

since: 0.9.3

#### Declaration [src]

    gboolean
    fu_hwids_has_guid (
      FuHwids* self,
      const gchar* guid
    )

#### Description [src]

Finds out if a hardware GUID exists.

Available since: 0.9.3

#### Parameters

`guid`

  Type: `const gchar*`

  A GUID, e.g. `059eb22d-6dc7-59af-abd3-94bbe017f67c`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the GUID exists.